Loading...
Searching...
No Matches
BALL::MMFF94VDWParameters Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94VDWParameters:

## Classes

struct | VDWEntry

## Public Member Functions

| MMFF94VDWParameters ()
| Default constructor.
virtual | ~MMFF94VDWParameters ()
| Destructor.
const MMFF94VDWParameters & | operator= (const MMFF94VDWParameters &param)
| Assignment operator.
virtual void | clear ()
| Clear method.
double | getR (Position atom_type) const
const VDWEntry & | getParameters (Index at) const
| Retrieve vdW parameters for a single atom type.
bool | assignParameters (Position at1, Position at2, double &rij, double &rij_7_, double &eij) const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)

## Protected Attributes

std::vector< VDWEntry > | parameters_
| parameters
std::vector< double > | rs_
std::vector< double > | rij_
std::vector< double > | rij_7_
std::vector< double > | eij_
std::vector< bool > | calculated_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 parameters for VDW (see MMFFVDW.PAR)

Definition at line 458 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94VDWParameters()

BALL::MMFF94VDWParameters::MMFF94VDWParameters | ( |  | ) |

Default constructor.

## ~MMFF94VDWParameters()

virtual BALL::MMFF94VDWParameters::~MMFF94VDWParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::MMFF94VDWParameters::assignParameters | ( | Position | at1,
|  | Position | at2,
|  | double & | rij,
|  | double & | rij_7_,
|  | double & | eij ) const

## clear()

virtual void BALL::MMFF94VDWParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getParameters()

const VDWEntry & BALL::MMFF94VDWParameters::getParameters | ( | Index | at | ) | const

Retrieve vdW parameters for a single atom type.

## getR()

double BALL::MMFF94VDWParameters::getR | ( | Position | atom_type | ) | const

## operator=()

const MMFF94VDWParameters & BALL::MMFF94VDWParameters::operator= | ( | const MMFF94VDWParameters & | param | ) |

Assignment operator.

## setup_()

virtual bool BALL::MMFF94VDWParameters::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## calculated_

std::vector<bool> BALL::MMFF94VDWParameters::calculated_

mutable protected

Definition at line 515 of file MMFF94Parameters.h.

## eij_

std::vector<double> BALL::MMFF94VDWParameters::eij_

mutable protected

Definition at line 513 of file MMFF94Parameters.h.

## parameters_

std::vector<VDWEntry> BALL::MMFF94VDWParameters::parameters_

protected

parameters

Definition at line 503 of file MMFF94Parameters.h.

## rij_

std::vector<double> BALL::MMFF94VDWParameters::rij_

mutable protected

Definition at line 509 of file MMFF94Parameters.h.

## rij_7_

std::vector<double> BALL::MMFF94VDWParameters::rij_7_

mutable protected

Definition at line 511 of file MMFF94Parameters.h.

## rs_

std::vector<double> BALL::MMFF94VDWParameters::rs_

mutable protected

Definition at line 506 of file MMFF94Parameters.h.